Package com.verisign.epp.codec.registry.v02

## Class EPPRegistryCheckResult

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryCheckResult

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryCheckResult
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryCheckResult` provides the result of checking the availability of an individual zone.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRegistryInfoResp`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRegistryCheckResult`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryCheckResult()` | Creates a new `EPPRegistryCheckResult` object with an empty zone name and availability set to `true`.
    `EPPRegistryCheckResult​(EPPRegistryZoneName aName, java.lang.Boolean aAvailable)` | Creates a new `EPPRegistryCheckResult` object with a defined zone name and available value.
    `EPPRegistryCheckResult​(EPPRegistryZoneName aName, java.lang.Boolean aAvailable, java.lang.String aReason)` | Creates a new `EPPRegistryCheckResult` object with a defined zone name, available value, and reason.
    `EPPRegistryCheckResult​(java.lang.String aName, java.lang.Boolean aAvailable)` | Creates a new `EPPRegistryCheckResult` object with a defined aLabel zone name and available value.
    `EPPRegistryCheckResult​(java.lang.String aName, java.lang.Boolean aAvailable, java.lang.String aReason)` | Creates a new `EPPRegistryCheckResult` object with a defined aLabel zone name, available value, and reason.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPRegistryCheckResult`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPRegistryCheckResult` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRegistryCheckResult` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPRegistryCheckResult` with this instance.
    `java.lang.String` | `getLanguage()` | Gets the unavailable reason language with the default value of `VALUE_LANG`.
    `EPPRegistryZoneName` | `getName()` | Gets the zone name.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getReason()` | Gets the unavailable reason.
    `java.lang.Boolean` | `isAvailable()` | Gets the zone available.
    `void` | `setAvailable​(java.lang.Boolean aAvailable)` | Sets the zone available.
    `void` | `setLanguage​(java.lang.String aLanguage)` | Sets the unavailable reason language with the default value of `VALUE_LANG`.
    `void` | `setName​(EPPRegistryZoneName aName)` | Sets the zone name
    `void` | `setName​(java.lang.String aName)` | Sets the aLabel zone name
    `void` | `setReason​(java.lang.String aReason)` | Sets the unavailable reason.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryInfoResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryCheckResult`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryCheckResult

          public EPPRegistryCheckResult()

      Creates a new `EPPRegistryCheckResult` object with an empty zone name and availability set to `true`. The Zone name must be set via `setName(String)` prior to calling `encode(Document)`.

    - #### EPPRegistryCheckResult

          public EPPRegistryCheckResult​(java.lang.String aName,
                                        java.lang.Boolean aAvailable)

      Creates a new `EPPRegistryCheckResult` object with a defined aLabel zone name and available value.
      Parameters:
        `aName` - aLabel zone name
        `aAvailable` - `true` if available; `false` otherwise.

    - #### EPPRegistryCheckResult

          public EPPRegistryCheckResult​(EPPRegistryZoneName aName,
                                        java.lang.Boolean aAvailable)

      Creates a new `EPPRegistryCheckResult` object with a defined zone name and available value.
      Parameters:
        `aName` - Zone name
        `aAvailable` - `true` if available; `false` otherwise.

    - #### EPPRegistryCheckResult

          public EPPRegistryCheckResult​(java.lang.String aName,
                                        java.lang.Boolean aAvailable,
                                        java.lang.String aReason)

      Creates a new `EPPRegistryCheckResult` object with a defined aLabel zone name, available value, and reason.
      Parameters:
        `aName` - aLabel zone name
        `aAvailable` - Should be set to `false` for this constructor.
        `aReason` - Reason Unavailable reason using the default language of `VALUE_LANG`.

    - #### EPPRegistryCheckResult

          public EPPRegistryCheckResult​(EPPRegistryZoneName aName,
                                        java.lang.Boolean aAvailable,
                                        java.lang.String aReason)

      Creates a new `EPPRegistryCheckResult` object with a defined zone name, available value, and reason.
      Parameters:
        `aName` - Zone name
        `aAvailable` - Should be set to `false` for this constructor.
        `aReason` - Reason Unavailable reason using the default language of `VALUE_LANG`.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryCheckResult` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryCheckResult` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryCheckResult` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryCheckResult` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryCheckResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryCheckResult`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryCheckResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPRegistryCheckResult` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the unavailable reason language with the default value of `VALUE_LANG`.
      Returns:
        Unavailable reason langauge with the default value of `VALUE_LANG`.

    - #### setLanguage

          public void setLanguage​(java.lang.String aLanguage)

      Sets the unavailable reason language with the default value of `VALUE_LANG`.
      Parameters:
        `aLanguage` - Language of the unavailable reason set with `setReason(String)`.

    - #### getName

          public EPPRegistryZoneName getName()

      Gets the zone name.
      Returns:
        Zone name if set; `null` otherwise.

    - #### setName

          public void setName​(EPPRegistryZoneName aName)

      Sets the zone name
      Parameters:
        `aName` - Zone name

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the aLabel zone name
      Parameters:
        `aName` - aLabel zone name

    - #### isAvailable

          public java.lang.Boolean isAvailable()

      Gets the zone available.
      Returns:
        `true` if available; `false` otherwise.

    - #### setAvailable

          public void setAvailable​(java.lang.Boolean aAvailable)

      Sets the zone available.
      Parameters:
        `aAvailable` - `true` if available; `false` otherwise.

    - #### getReason

          public java.lang.String getReason()

      Gets the unavailable reason. This value should be `null` if `isAvailable()` is `true`.
      Returns:
        The unavailable reason if set; `null` otherwise.

    - #### setReason

          public void setReason​(java.lang.String aReason)

      Sets the unavailable reason. This value should be `null` if `isAvailable()` is `true`.
      Parameters:
        `aReason` - Unavailable reason. Set to `null` if zone is available.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.